Package com.sas.services.webdav

# Class DavPropertyItem

java.lang.Object
com.sas.services.webdav.DavPropertyItem

public class DavPropertyItem extends Object
Item representing a DAV property.

- `DavProperty`
- HTTP status code
- HREF of the property's DAV resource

Since:
  9.4m8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DavPropertyItem(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty, int httpStatusCode, String davResourceHref)`
  Constructs an instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.jackrabbit.webdav.property.DavProperty<?>`
  `getDavProperty()`
  Gets the DAV property.
  `String`
  `getDavResourceHref()`
  Gets the DAV resource's href.
  `int`
  `getStatusCode()`
  Gets the HTTP status code.
  `final void`
  `setDavProperty(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)`
  Sets the DAV property.
  `final void`
  `setDavResourceHrf(String href)`
  Sets the DAV resource's href.
  `final void`
  `setStatusCode(int statusCode)`
  Sets the HTTP status code.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DavPropertyItem

    public DavPropertyItem(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty, int httpStatusCode, String davResourceHref)
    Constructs an instance.

- ## Method Details

  - ### getDavProperty

    public org.apache.jackrabbit.webdav.property.DavProperty<?> getDavProperty()
    Gets the DAV property.
    Returns:
      DAV property.

  - ### setDavProperty

    public final void setDavProperty(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)
    Sets the DAV property.
    Parameters:
      `davProperty` - DAV property.

  - ### getStatusCode

    public int getStatusCode()
    Gets the HTTP status code.
    Returns:
      HTTP status code.

  - ### setStatusCode

    public final void setStatusCode(int statusCode)
    Sets the HTTP status code.
    Parameters:
      `statusCode` - HTTP status code.

  - ### getDavResourceHref

    public String getDavResourceHref()
    Gets the DAV resource's href.
    Returns:
      DAV resource's href.

  - ### setDavResourceHrf

    public final void setDavResourceHrf(String href)
    Sets the DAV resource's href.
    Parameters:
      `href` - DAV resource's href.